Skip to content

Get conversation state

GET
/api/intake/{conversation_id}/status
curl --request GET \
--url https://example.com/api/intake/example/status \
--header 'Authorization: Bearer <token>'

Returns the full current state of the intake conversation.

conversation_id
required
Conversation Id
string

Successful Response

Media type application/json
StatusResponse
object
conversation_id
required
Conversation Id
string
state
required
State
object
key
additional properties
any
progress
Any of:
object
key
additional properties
any
stage_slug
required
Stage Slug
string
Example generated
{
"conversation_id": "example",
"state": {},
"progress": {},
"stage_slug": "example"
}

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}